コンテンツにスキップ
IRBANK API はベータ提供中です。仕様は予告なく変更される場合があります。
IRBANK API ドキュメント
Esc
navigateopen⌘Jpreview

スクリーニング指標カタログ

GET /screening の filters / sort_by に指定できる指標キーの一覧を返す。type=numeric のキーのみ filters / sort_by に使用できる(type=enum は sector / industry パラメータ専用)。

GET/screening/fields
Authorization
AuthorizationBearer token · headerrequired
IRBANK Connect (app.irbank.net/mcp-api) で発行した API キー
Responses
200OK
fieldsScreeningField[]required
Show properties
Array of ScreeningField
keystringrequired
指標キー(filters / sort_by に指定)
labelstringrequired
指標の日本語表示名
unitstring | nullrequired
値の単位識別子(単位ガイド参照)。type=enum のフィールドは null
Allowed:jpyjpy_per_sharepercentpointstimesratioyearsdaysmonthssharespeoplet_co2ecountnull
typestringrequired
指標の型。numeric は filters / sort_by に使用可、enum は sector / industry パラメータ専用
Allowed:numericenum
notestring
スケールの補足(付く指標のみ)。unit: ratio の指標は 1.0 = 100% のスケールで、filters のしきい値も同じスケールで指定する
attributionAttributionrequired
Show properties
source_labelstringrequired
出典表示ラベル(第三者に表示する際はこの表記を使う)
license_notestringrequired
出典・再配信条件の注記
processed_bystringrequired
Request
curl -X GET "https://api.irbank.net/v1/screening/fields" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "fields": [
    {
      "key": "per",
      "label": "PER",
      "unit": "times",
      "type": "numeric",
      "note": "1.0 = 100% のスケールの比率値 (例: 0.7763 = 77.63%)。しきい値も同じスケールで指定する (70% は 0.7)"
    }
  ],
  "attribution": {
    "source_label": "金融庁 EDINET / TDnet",
    "license_note": "string",
    "processed_by": "IRBANK"
  }
}